<?php 
require_once 'main.php';
require_once 'header.php';

$op=$_GET['op'];
$aid=$admininfo['0']['aid'];
switch ($op) {
	case 'add':
		if ($admininfo['0']['allow_add_project']==1 || $admininfo['0']['allow_edit_project']==1) 
		{
			$prjcode=$prjtitle=$prjdesc=$prjlogo=$prjcomments=$prjdate=$prjdate="";
			$form_title="افزودن پرژه جدید";


			if (isset($_POST['add'])) 
			{
				$prjlogo=$_FILES["file"]["name"];
				$allowedExts = array("gif", "jpeg", "jpg", "png");
				if ($prjlogo!="") 
				{
					$temp = explode(".", $_FILES["file"]["name"]);
					$extension = end($temp);
					if ((($_FILES["file"]["type"] == "image/gif")
					|| ($_FILES["file"]["type"] == "image/jpeg")
					|| ($_FILES["file"]["type"] == "image/jpg")
					|| ($_FILES["file"]["type"] == "image/pjpeg")
					|| ($_FILES["file"]["type"] == "image/x-png")
					|| ($_FILES["file"]["type"] == "image/png"))
					&& ($_FILES["file"]["size"] < 2097152)
					//img Size=2Mb
					&& in_array($extension, $allowedExts))
					{
						if ($_FILES["file"]["error"] > 0)
					    	$error= "Return Code: " . $_FILES["file"]["error"] . "<br>";
					  	
					  	else
					    {
					    	if (file_exists("./upload/projects_logo/" . $_FILES["file"]["name"]))
					      		$error= 'فایل'.$_FILES["file"]["name"].'قبلا درج شده است';
					    	else
					      	{
					      		move_uploaded_file($_FILES["file"]["tmp_name"],
					      		"./upload/projects_logo/" . $_FILES["file"]["name"]);
					      	}
					    }
					}
					else
						$error="تصویر انتخابی نامعتبر است";
				}

				$prjcode=$_POST['prjcode'];
				$prjtitle=$_POST['prjtitle'];
				if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $prjcode)==1 || strpos($prjcode, " ")!==false) {
					$error="کد پروژه مجاز نیست";
				}
				
				$prjdesc=$_POST['prjdesc'];
				$prjcomments=htmlspecialchars($_POST['prjcomments']);

				$projectlist = $project->GetInfo("prjcode",$prjcode);
				//prjcode validation
				if(count($projectlist)> 0)
				   $error= "کد پروژه تکراری است";

			
				//Required Fields validation
				if (empty($prjcode) || empty($prjtitle)) 
					$error="لطفا فیلدهای الزامی را پر نمایید";
				
					//Add Project Access Denied
				if ($admininfo['0']['allow_add_project']==0)
					$error="دسترسی شما به این قسمت امکان پذیر نیست";

				if ($error==="") 
				{
			
					if($project->Add($aid ,$prjcode ,$prjtitle ,$prjdesc ,$prjlogo ,$prjcomments)==1)
					{
						$success="یک رکورد با موفقیت اضافه شد";
						$prjcode=$prjtitle=$prjdesc=$prjlogo=$prjcomments="";
					}
					else
					{
						$error="متاسفانه مشکلی در افزودن این رکورد به وجود آمده است";
					}
				}
				
			}


			elseif (isset($_POST['edit'])) 
			{
				if ($admininfo['0']['allow_edit_project']==1) 
				{
					$prjlogo=$_FILES["file"]["name"];
					$allowedExts = array("gif", "jpeg", "jpg", "png");
					if ($prjlogo!="") 
					{
						$temp = explode(".", $_FILES["file"]["name"]);
						$extension = end($temp);
						if ((($_FILES["file"]["type"] == "image/gif")
							|| ($_FILES["file"]["type"] == "image/jpeg")
							|| ($_FILES["file"]["type"] == "image/jpg")
							|| ($_FILES["file"]["type"] == "image/pjpeg")
							|| ($_FILES["file"]["type"] == "image/x-png")
							|| ($_FILES["file"]["type"] == "image/png"))
							&& ($_FILES["file"]["size"] < 2097152)
						//img Size=2Mb
							&& in_array($extension, $allowedExts))
						{
							if ($_FILES["file"]["error"] > 0)
								echo "Return Code: " . $_FILES["file"]["error"] . "<br>";
							else
							{
								if (file_exists("./upload/projects_logo/" . $_FILES["file"]["name"]))
									$error='فایل'.$_FILES["file"]["name"].' قبلا درج شده است';
								else
								{
									move_uploaded_file($_FILES["file"]["tmp_name"],
										"./upload/projects_logo/" . $_FILES["file"]["name"]);
								}
							}
						}
						else
							$error="تصویر انتخابی نامعتبر است";
					}

					$prjid=sprintf("%d",$_GET['prjid']);
					$prjcode=$_POST['prjcode'];
					if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $prjcode)==1 || strpos($prjcode, " ")!==false) {
						$error="کد پروژه مجاز نیست";
					}
					$prjtitle=$_POST['prjtitle'];
					$prjdesc=$_POST['prjdesc'];
					$prjcomments=htmlspecialchars($_POST['prjcomments']);

					//Required Fields validation
					if (empty($prjcode) || empty($prjtitle)) 
						$error="لطفا فیلدهای الزامی را پر نمایید";

						//Add Project Access Denied
					if ($admininfo['0']['allow_edit_project']==0)
						$error="دسترسی شما به این قسمت امکان پذیر نیست";
					

						if ($error==="") {
					
							if($project->Update($prjcode ,$prjtitle ,$prjdesc ,$prjlogo ,$prjcomments,$prjid)==1)
								$success="یک رکورد با موفقیت ویرایش شد";
							else
							{
								$error="متاسفانه مشکلی در ویرایش این رکورد به وجود آمده است";
								if ($prjlogo!=="")
									$error="";
							}
							
						}
					}
				//Edit Project Access Denied
				else
				{
				$error="دسترسی شما به این قسمت امکان پذیر نیست";	
				Failure("$error");
				}
			}


			elseif (isset($_GET['prjid'])) 
			{
				# Show Update Form...
				$form_title="ویرایش پروژه";
				$prjid=sprintf("%d",$_GET['prjid']);
				$projectInfo = $project->GetInfo("prjid",$prjid);
				$prjcode=$projectInfo['0']['prjcode'];
				$prjtitle=$projectInfo['0']['prjtitle'];
				$prjdesc=$projectInfo['0']['prjdesc'];
				$prjcomments=$projectInfo['0']['prjcomments'];
				$prjdesc=$projectInfo['0']['prjdesc'];
				if ($projectInfo['0']['prjlogo']!="") 
					$prjlogo=$projectInfo['0']['prjlogo'];
				else
					$prjlogo="default.png";
				
			}

			if (!empty($error)) 
				Failure($error);
			
			if (!empty($success)) 
				Success($success);

			echo '
			<div class="path form-group col-md-12 col-sm-12">پروژه ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> '.(isset($_GET['prjid'])?'<a href="projects.php?op=list">لیست و ویرایش پروژه ها</a> <i class="fa fa-angle-double-left" aria-hidden="true"></i> ویرایش پروژه':'<a href="projects.php?op=add">افزودن پروژه جدید</a>').'</div>
			<div class="indexframe1 form-group col-md-12 col-sm-12 col-xs-12">
			<center><h4>'.$form_title.'</h4></center>
			</div>';
			echo '
				<form action="" method="post" enctype="multipart/form-data" class="" >
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="prjcode">کد پروژه<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control ltr" id="prjcode" name="prjcode" autofocus value="'.$prjcode.'">
				 		<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;کد پروژه غیرتکراری، با حروف لاتین و بدون فاصله تایپ شود.<br></small>
					</div>
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="prjtitle">عنوان پروژه<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control " id="prjtitle" name="prjtitle" value="'.$prjtitle.'">
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<label for="prjdesc"> توصیف پروژه:</label><br>
						<textarea id="prjdesc" name="prjdesc" class="form-control editor">'.$prjdesc.'</textarea>
					</div>
					<div class="form-group col-md-8 col-sm-12 col-md-offset-4">
					 	<label for="file">لوگو:</label>
					 	
					 	<input type="file" name="file" id="file">
					 	<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;فرمت های مجاز: gif - jpeg - jpg - png | حداکثر حجم 2 مگابایت | سایز بهینه: 200px*200px<br></small>
					 	'.(isset($_GET['prjid']) && $prjlogo!=="" && $prjlogo!=="default.png" ?'<img class="logo"  src="./upload/projects_logo/'.$prjlogo.'" width="200">':'').'

					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<label for="prjcomments"> توضیحات:</label><br>
						<textarea id="prjcomments" name="prjcomments" rows="5" class="form-control">'.$prjcomments.'</textarea>
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<center>
							'.(isset($_GET['prjid'])?
							'<button type="submit" class="btn btn-info" name="edit"> ویرایش</button>':
							'<button type="submit" class="btn btn-success" name="add"> افزودن</button>').'
						</center>
					</div>
				</form>
			';

		}
		//Add Project Access Denied
		else
		{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
		}
		break;
	
	case 'list':
	if ($admininfo['0']['allow_list_projects']==1) 
	{
		$query=$filter=$where="";
		$order="ORDER BY prjid DESC";
		$start=$page=0;
		if (isset($_POST['search']) && $_POST['where']!=="") 
		{
			$where=$_POST['where'];
			$filter=$_POST['filter'];

			$query = "WHERE $filter LIKE '%$where%'";
		}
		if (isset($_POST['search'])) 
		{
			if (isset($_POST['page'])) {
				$page=$_POST['page'];
			}
			else{
				$page=0;
			}
			$start= $page*$page_limit;
			
		}

		if (isset($_GET['order'])) 
		{
			if (isset($_GET['desc']))
				$sort="desc";
			else
				$sort="";

			
			$order = $_GET['order'];
			$order= "ORDER BY $order $sort";

		}
		if ($filter=="prjdate") {
			$wherej=J2G($_POST['where']);
			$query = "WHERE $filter LIKE '%$wherej%'";
		}
			$projects = $project->ListProjects($query,$order,$limit="LIMIT $start,$page_limit");
			$num_of_records=$project->RowCount($query);
			$num_of_pages = intval($num_of_records/$page_limit);
			$num_of_pages = ($num_of_records%$page_limit==0?$num_of_pages :$num_of_pages+1);
			if ($num_of_pages<$page) {
				$page=0;
			}
			echo '
				<div class="path form-group col-md-12 col-sm-12">پروژه ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> <a href="projects.php?op=list">لیست و ویرایش پروژه ها</a></div>
				<form action="" method="post" class="form-inline">
					<input type="text" name="where" value="'.$where.'" class="form-control" autofocus placeholder="عنوان جستجو">
					<select name="filter" class="form-control">
						<option '.($filter=="prjcode"?'selected':'').' value="prjcode">کد پروژه</option>
						<option '.($filter=="prjtitle"?'selected':'').' value="prjtitle">عنوان</option>
						<option '.($filter=="ausername"?'selected':'').' value="ausername">مدیر</option>
						<option onclick="alert(\'تاریخ را به شمسی و ترکیب <05-12-1396> وارد نمایید.\')" '.($filter=="prjdate"?'selected':'').' value="prjdate">تاریخ درج</option>
					</select>
					<select name="page" class="form-control">
					';
					for ($i=0; $i < $num_of_pages ; $i++) { 
						echo ' 
							<option value="'.$i.'"'.($i==$page? 'selected':'').'>صفحه '.($i+1).'/'.($num_of_pages).'</option>					';
					}
					echo '
					</select>
					<input type="submit" value="برو!" name="search" class="btn btn-default"> '.($num_of_records==0?'هیچ رکوردی یافت نشد!':'').'
					
				</form>
				<div  class="table-responsive">
				<table class="table table-striped table-bordered table-hover table-condensed" border="1" style="margin-bottom:70px;">
					<tr class="tablehead text-center">
						<th class="text-center" width="50px;">امکانات</th>
						<th class="text-center"><a href="?op=list&order=prjlogo'.(isset($_GET['desc'])?'':'&desc').'">لوگو '.($_GET['order']=="prjlogo"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=prjcode'.(isset($_GET['desc'])?'':'&desc').'">کد پروژه '.($_GET['order']=="prjcode"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=prjtitle'.(isset($_GET['desc'])?'':'&desc').'">عنوان پروژه '.($_GET['order']=="prjtitle"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=ausername'.(isset($_GET['desc'])?'':'&desc').'">مدیر '.($_GET['order']=="ausername"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=prjdate'.(isset($_GET['desc'])?'':'&desc').'">تاریخ درج '.(!isset($_GET['order'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'').' '.($_GET['order']=="prjdate"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
					</tr>
			';

			foreach ($projects as $projectInfo) {
				echo '
					<tr>
						<td>
							<div class="btn-group">
							  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							   <span class="glyphicon glyphicon-option-vertical"></span>
							  </button>
							  <ul class="'.($admininfo['0']['allow_edit_project']==0 && $admininfo['0']['allow_delete_project']==0?'':'dropdown-menu').' '.($dir==0?'dropdown-menu-right':'dropdown-menu-left').'" style="text-align:'.($dir==0?'right':'left').';">
							  '.($admininfo['0']['allow_edit_project']==1?'<li><a href="?op=add&prjid='.$projectInfo['prjid'].'"><span class="glyphicon glyphicon-edit text-info"></span> ویرایش</a></li>':'').'
							  '.($admininfo['0']['allow_delete_project']==1?'<li><a onclick="return Sure();" href="?op=delete&prjid='.$projectInfo['prjid'].'"><span class="red glyphicon glyphicon-remove"></span> حذف</a></li>':'').'
							  </ul>
							</div>
						</td>
						<td width="30px" class="text-center"><img src="./upload/projects_logo/'.($projectInfo['prjlogo']==""?'default.png':''.$projectInfo['prjlogo'].'').'" width="30" hieght="30"></td>
						<td class="ltr">'.$projectInfo['prjcode'].'</td>
						<td>'.$projectInfo['prjtitle'].'</td>
						<td class="ltr">'.$projectInfo['ausername'].'</td>
						<td class="ltr">'.G2J($projectInfo['prjdate']).'</td>
						
					</tr>
				';
			}

			echo '</table></div>';







	}
	//List Project Access Denied
	else
	{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
	}
	break;

	case 'delete':

	if ($admininfo['0']['allow_delete_project']==1) 
	{
		if (isset($_GET['prjid'])) 
		{
			$prjid=sprintf("%d",$_GET['prjid']);
			if($project->Delete($prjid)==1)
			{
				Success("رکورد مورد نظر با موفقیت حذف شد");
				echo'
				<a href="projects.php?op=list">بازگشت</a>';
			}
			else{
				Failure("متاسفانه مشکلی در حذف رکورد مورد نظر بوجود آمد");
				echo'
				<a href="projects.php?op=list">بازگشت</a>';
			}

		}

	}
	//Delete Project Access Denied
	else
	{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
	}
	break;

	default:
		$error="صفحه مورد نظر یافت نشد";	
		Failure("$error");
		break;
}
include_once 'footer.php';
 ?>